<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePublicationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('publications', function (Blueprint $table) {
            $table->id();
            $table->char('uuid', 36)->index()->unique();
            $table->integer('page_id')->index()->default(0);
            $table->integer('author_id')->index()->nullable();
            $table->string('slug')->index()->nullable();
            $table->string('name', 750)->index()->nullable();
            $table->text('excerpt')->fulltext()->nullable();
            $table->mediumText('content')->fulltext()->nullable();
            $table->boolean('is_published')->index()->default(0);
            $table->boolean('is_blank')->index()->default(0);
            $table->dateTime('published_at')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('publications');
    }
}
